<!--INICIO DO CONTEUDO-->
<section class="content-header">
</section>

<section class="content">
  <section class="invoice">

    <div class="box-header with-border">
      <div class="row">
        <h5 class="box-title">Protocolo: {{order?._id}}</h5>
      </div>
      <div class="row">
        <h5>Cliente: {{headerName}} </h5>
      </div>
      <div class="row">
        <h5>{{headerAddress}}</h5>
      </div>
      <div *ngIf="headerContact.length != 0" class="row">
        <h5>{{headerContact}}</h5>
      </div>
    </div>

    <div class="box-header with-border">
      <div class="row">
        <h5 class="box-title">Valores do Frete: </h5>
      </div>
      <div class="row">
        <h5>Distância {{order?.freight[0].distance}} X Custo por KM: {{order?.freight[0].cost | currency:'BRL':'symbol-narrow':'1.2-2'}} =
          Total: {{order?.freight[0].distance * order?.freight[0].cost | currency:'BRL':'symbol-narrow':'1.2-2'}}</h5>
      </div>
    </div>

    <form [formGroup]="orderEditForm" novalidate>

      <div class="row">
        <div class="col-xs-12">
          <p class="lead">Situação:</p>

          <div formArrayName="editSituations">
            <div *ngFor="let situation of editSituations.controls; let i=index" [formGroupName]="i">
              <div class="row">
                <div class="col-sm-6 col-xs-6">
                  <span>Status</span>
                  <select class="form-control" formControlName="status" placeholder="status">
                    <option *ngFor="let status of listStatus" [value]="status">{{status}} </option>
                  </select>
                </div>
                <div class="col-sm-6 col-xs-6">
                  <span>Observação</span>
                  <cg-input-container>
                    <input type="text" class="form-control" formControlName="observation" placeholder="Observação">
                  </cg-input-container>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-6 col-xs-6">
                  <span>Data inicial</span>
                  <cg-input-container>
                    <input type="text" class="form-control" formControlName="startDate" placeholder="Data de início">
                  </cg-input-container>
                </div>
                <div class="col-sm-6 col-xs-6">
                  <span>Data final</span>
                  <cg-input-container>
                    <input type="text" class="form-control" formControlName="finishDate" placeholder="Data final">
                  </cg-input-container>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </form>

    <div class="row">
      <div class="col-xs-12">
        <button (click)="addSituation()" class="btn btn-success pull-left">
          <i class="fa fa-list"></i> Novo 
        </button>

        <button (click)="updateOrder(orderEditForm.value)" class="btn btn-success pull-right"
          [disabled]="!orderEditForm.valid">
          <i class="fa fa-save"></i> Salvar 
        </button>
      </div>
    </div>

<!--     <b>orderEditForm.value: </b>{{ orderEditForm.value | json }}
    <b>orderEditForm.status: </b>{{ orderEditForm.status }}
 -->
  </section>
</section>
<!-- FIM DO CONTEUDO-->